﻿/**Begin D:\PDM_UPGRADE\PDM1\BASTAX_constraint.sql **/
 EXEC P_ALTERPK 'PK_BASTAX_TAXPROJECTGROUP', 'T_BASTAX_TAXPROJECTGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_BASTAX_TAXPROJECTGROUP' AND KSQL_INDNAME = 'IDX_TAXPROJECTGROUP_FNUMBER') CREATE INDEX IDX_TAXPROJECTGROUP_FNUMBER ON T_BASTAX_TAXPROJECTGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_BASTAX_TAXPROJECTGROUP_L', 'T_BASTAX_TAXPROJECTGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_BASTAX_TAXPROJECTGROUP_L' AND KSQL_INDNAME = 'IDX_BASTAX_TAXPROJECTGROUP_L_0') CREATE INDEX IDX_BASTAX_TAXPROJECTGROUP_L_0 ON T_BASTAX_TAXPROJECTGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BASTAX_TAXPROJECTSDS', 'T_BASTAX_TAXPROJECTSDS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_BASTAX_TAXPROJECTSDS' AND KSQL_INDNAME = 'IDX_BASTAX_TAXPROJECTSDS_FK') CREATE INDEX IDX_BASTAX_TAXPROJECTSDS_FK ON T_BASTAX_TAXPROJECTSDS ( FID );


 EXEC P_ALTERPK 'PK_BASTAX_TAXPROJECTSWYT', 'T_BASTAX_TAXPROJECTSWYT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_BASTAX_TAXPROJECTSWYT' AND KSQL_INDNAME = 'IDX_BASTAX_TAXPROJECTSWYT_FK') CREATE INDEX IDX_BASTAX_TAXPROJECTSWYT_FK ON T_BASTAX_TAXPROJECTSWYT ( FID );


 EXEC P_ALTERPK 'PK_BASTAX_SALEFORMAT', 'T_BASTAX_SALEFORMAT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_BASTAX_SALEFORMAT' AND KSQL_INDNAME = 'IDX_SALEFORMAT_NUMBER') CREATE INDEX IDX_SALEFORMAT_NUMBER ON T_BASTAX_SALEFORMAT ( FNUMBER );


 EXEC P_ALTERPK 'PK_BASTAX_SALEFORMAT_L', 'T_BASTAX_SALEFORMAT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_BASTAX_SALEFORMAT_L' AND KSQL_INDNAME = 'IDX_BASTAX_SALEFORMAT_L_0') CREATE INDEX IDX_BASTAX_SALEFORMAT_L_0 ON T_BASTAX_SALEFORMAT_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\BASTAX_constraint.sql **/
